
Foreman - Feature #3805

As a developer I'd like all authorization functions to respect filters

12/04/2013 12:43 PM - Marek Hulán

Status: Closed   

Priority: Normal   

Assignee: Marek Hulán   

Category: Users, Roles and Permissions   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

This means to go through foreman and change every function that uses authorization and fix it so it uses new API and takes filters in

consideration.

Related issues:

Related to Foreman - Feature #812: cant assign roles to groups, just to users Closed 03/31/2011

History

#1 - 12/04/2013 12:43 PM - Marek Hulán

- Related to Feature #812: cant assign roles to groups, just to users added

#2 - 01/09/2014 02:37 PM - Dominic Cleal

- Target version set to 1.9.2

#3 - 01/21/2014 09:54 AM - Marek Hulán

- Category set to Users, Roles and Permissions

- Status changed from New to Ready For Testing

- Assignee set to Marek Hulán

- % Done changed from 0 to 100

This is done and ready for testing in PR#1070.

#4 - 02/06/2014 12:11 PM - Anonymous

- Target version changed from 1.9.2 to 1.9.1

#5 - 03/03/2014 12:48 PM - Anonymous

- Target version changed from 1.9.1 to 1.9.0

#6 - 03/03/2014 02:32 PM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- translation missing: en.field_release set to 4

Fixed via #812 for Foreman 1.5.0.
